All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Interface CommentFilterInterface

All Known Implementing Classes:
  CommentFilter

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface CommentFilterInterface

Provides a mechanism to filter comments. Remarks could be filtered by owner, author, range (eg. date), ...

Since:
  1.1

Field Summary
`static int` | `AUTHOR`
`static int` | `AUTHOR_RANGE`
`static int` | `DATETIME_RANGE`
`static int` | `NOMODIFIER`
`static int` | `OWNER`
`static int` | `RANGE`
`static int` | `TEXT_RANGE`

Method Summary
`abstract int` | `getFilterModifier()`
`abstract int` | `getRangeField()`
`abstract boolean` | `rangeEvalLong(long n)`
`abstract boolean` | `rangeEvalString(java.lang.String str)`
`abstract void` | `setFilterModifier(int filterType)`
`abstract void` | `setRangeFilterModifierLong(int rangeField, long lower, long upper)`
`abstract void` | `setRangeFilterModifierString(int rangeField, java.lang.String lower, java.lang.String upper)`

Field Detail

### NOMODIFIER

    static final int NOMODIFIER

See Also:
  Constant Field Values

### OWNER

    static final int OWNER

See Also:
  Constant Field Values

### AUTHOR

    static final int AUTHOR

See Also:
  Constant Field Values

### RANGE

    static final int RANGE

See Also:
  Constant Field Values

### TEXT_RANGE

    static final int TEXT_RANGE

See Also:
  Constant Field Values

### AUTHOR_RANGE

    static final int AUTHOR_RANGE

See Also:
  Constant Field Values

### DATETIME_RANGE

    static final int DATETIME_RANGE

See Also:
  Constant Field Values

Method Detail

### getFilterModifier

    int getFilterModifier()

### getRangeField

    int getRangeField()

### setFilterModifier

    void setFilterModifier(int filterType)

### setRangeFilterModifierLong

    void setRangeFilterModifierLong(int rangeField,
                                    long lower,
                                    long upper)

### setRangeFilterModifierString

    void setRangeFilterModifierString(int rangeField,
                                      java.lang.String lower,
                                      java.lang.String upper)

### rangeEvalString

    boolean rangeEvalString(java.lang.String str)

### rangeEvalLong

    boolean rangeEvalLong(long n)

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.